Package org.eclipse.help.internal

# Class CommandLink

java.lang.Object
org.eclipse.help.internal.UAElement
org.eclipse.help.internal.CommandLink

All Implemented Interfaces:
  `ICommandLink`, `IUAElement`

public class CommandLink extends UAElement implements ICommandLink

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTE_LABEL`
`static final String`
`ATTRIBUTE_SERIALIZATION`
`static final String`
`NAME`

### Fields inherited from class org.eclipse.help.internal.UAElement

`children`

## Constructor Summary

Constructors
Constructor
Description
`CommandLink(ICommandLink src)`
`CommandLink(Element src)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Returns the label text to display for this link.
`String`
`getSerialization()`
Returns the serialized form of the command to invoke, along with its parameters.
`void`
`setLabel(String label)`
`void`
`setSerialization(String serialization)`

### Methods inherited from class org.eclipse.help.internal.UAElement

`appendChild, appendChildren, getAttribute, getChildren, getChildren, getElement, getElementName, getParentElement, insertBefore, isEnabled, removeChild, setAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.help.IUAElement

`getChildren, isEnabled`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### ATTRIBUTE_LABEL

public static final String ATTRIBUTE_LABEL

See Also:
  - Constant Field Values

### ATTRIBUTE_SERIALIZATION

public static final String ATTRIBUTE_SERIALIZATION

See Also:
  - Constant Field Values

## Constructor Details

### CommandLink

public CommandLink(ICommandLink src)

### CommandLink

public CommandLink(Element src)

## Method Details

### getLabel

public String getLabel()
Description copied from interface: `ICommandLink`
Returns the label text to display for this link.

Specified by:
  `getLabel` in interface `ICommandLink`
Returns:
  the link text

### getSerialization

public String getSerialization()
Description copied from interface: `ICommandLink`
Returns the serialized form of the command to invoke, along with its parameters.

Specified by:
  `getSerialization` in interface `ICommandLink`
Returns:
  the serialized command

### setLabel

public void setLabel(String label)

### setSerialization

public void setSerialization(String serialization)